Subject: perceptively

From: Gunn <[email-masked]>
Date: Sun, 10 Jun 2007 13:15:23 -0500

CAON Now Holds 12 Environmental Patents! Investors Respond!

Chan-On International Inc.
Symbol: CAON
Close: $0.72 UP 4.35%

CAON acquires Harbin Hongbo and its 12 patents. This company's new
direction was released in a fact sheet Friday. Investors are already
jumping all over it. Read the release and get all over CAON first thing
Monday!

Lots of other things on my TODO list I haven't gotten to that are too
embarrassing to post about!
Don't mess with nature, she has a way of smacking you right down.
Villagers in northern india were the first to notice. And I'm getting
radical and daring in my old age. Google currently leads the search
market by leaps and bounds.

Don't mess with nature, she has a way of smacking you right down.